import { SvgIconProps } from "../../app/types/types";


export function DownloadsIcon(props: SvgIconProps) {
  return (
    <svg width="25" height="24" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M12.4883 2.98935C12.2895 2.99245 12.1002 3.07432 11.9617 3.21696C11.8233 3.35959 11.7471 3.55135 11.75 3.75009V14.4395L10.0303 12.7198C9.96036 12.6478 9.87672 12.5906 9.78429 12.5515C9.69187 12.5124 9.59254 12.4923 9.49219 12.4923C9.34293 12.4923 9.19707 12.5369 9.07328 12.6203C8.94949 12.7037 8.8534 12.8221 8.7973 12.9604C8.74119 13.0987 8.72763 13.2507 8.75835 13.3967C8.78907 13.5428 8.86267 13.6764 8.96973 13.7804L11.9697 16.7804C12.1104 16.921 12.3011 16.9999 12.5 16.9999C12.6989 16.9999 12.8896 16.921 13.0303 16.7804L16.0303 13.7804C16.1023 13.7113 16.1597 13.6285 16.1993 13.5369C16.2389 13.4453 16.2598 13.3467 16.2608 13.2469C16.2618 13.1472 16.2429 13.0482 16.2052 12.9558C16.1675 12.8634 16.1117 12.7795 16.0412 12.7089C15.9706 12.6384 15.8867 12.5826 15.7943 12.5449C15.7019 12.5072 15.6029 12.4883 15.5032 12.4893C15.4034 12.4903 15.3048 12.5112 15.2132 12.5508C15.1216 12.5904 15.0388 12.6478 14.9697 12.7198L13.25 14.4395V3.75009C13.2514 3.64971 13.2327 3.55006 13.1949 3.45705C13.1571 3.36403 13.1011 3.27955 13.03 3.20861C12.959 3.13767 12.8745 3.0817 12.7814 3.04404C12.6883 3.00638 12.5887 2.98778 12.4883 2.98935ZM6.25 8.50009C4.74011 8.50009 3.5 9.7402 3.5 11.2501V18.2501C3.5 19.76 4.74011 21.0001 6.25 21.0001H18.75C20.2599 21.0001 21.5 19.76 21.5 18.2501V11.2501C21.5 9.7402 20.2599 8.50009 18.75 8.50009H15.75C15.6506 8.49869 15.5519 8.51705 15.4597 8.55411C15.3675 8.59117 15.2836 8.64619 15.2128 8.71597C15.142 8.78576 15.0858 8.86891 15.0474 8.9606C15.0091 9.05229 14.9893 9.1507 14.9893 9.25009C14.9893 9.34949 15.0091 9.44789 15.0474 9.53958C15.0858 9.63127 15.142 9.71443 15.2128 9.78421C15.2836 9.85399 15.3675 9.90902 15.4597 9.94608C15.5519 9.98314 15.6506 10.0015 15.75 10.0001H18.75C19.4491 10.0001 20 10.551 20 11.2501V18.2501C20 18.9492 19.4491 19.5001 18.75 19.5001H6.25C5.55089 19.5001 5 18.9492 5 18.2501V11.2501C5 10.551 5.55089 10.0001 6.25 10.0001H9.25C9.34938 10.0015 9.44806 9.98314 9.54028 9.94608C9.63251 9.90902 9.71645 9.85399 9.78723 9.78421C9.858 9.71443 9.91421 9.63127 9.95257 9.53958C9.99093 9.44789 10.0107 9.34949 10.0107 9.25009C10.0107 9.1507 9.99093 9.05229 9.95257 8.9606C9.91421 8.86891 9.858 8.78576 9.78723 8.71597C9.71645 8.64619 9.63251 8.59117 9.54028 8.55411C9.44806 8.51705 9.34938 8.49869 9.25 8.50009H6.25Z"
        fill="white"
      />
    </svg>
  )
}
